MODBUS_READ_INPUT_RE(3)

NAME
modbus_read_input_registers - read many input registers

SYNOPSIS

int modbus_read_input_registers(modbus_t *ctx, int addr, int nb, uint16_t *dest);

DESCRIPTION

The modbus_read_input_registers() function shall read the content of the nb input registers to address addr of the remote device. The result of the reading is stored in dest array as word values (16 bits).

You must take care to allocate enough memory to store the results in dest (at least nb * sizeof(uint16_t)).

The function uses the Modbus function code 0x04 (read input registers). The holding registers and input registers have different historical meaning, but nowadays it’s more common to use holding registers only.

RETURN VALUE

The modbus_read_input_registers() function shall return the number of read input registers if successful. Otherwise it shall return -1 and set errno.

ERRORS

EMBMDATA
    Too many bits requested

SEE ALSO

modbus_read_input_bits(3) modbus_write_register(3) modbus_write_registers(3)

AUTHORS

The libmodbus documentation was written by Stéphane Raimbault <stephane.raimbault@gmail.com[1]>

NOTES

1.  stephane.raimbault@gmail.com
    mailto:stephane.raimbault@gmail.com